# -*- coding:utf-8 -*-
"""
    Test For MultipartUploadHelper
"""
import unittest
import mock

import sys
sys.path.append("../bosftp")
from     bosftp_config           import   BosftpCfg
from     baidubce                import   exception
from     pyftpdlib.filesystems   import   FilesystemError
from     client                  import   Client
from     multipart_upload_helper import   MultipartUploadHelper

class MultipartUploadHelperTest(unittest.TestCase):
    """
        Test For MultipartUploadHelper
    """

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_all(self):
        uploader = MultipartUploadHelper(BosftpCfg().bucket, "test_multi_upload")
        uploader.init()
        def callback(part_num, stats):
            return 
        uploader.upload_part(1, "123", callback)
        uploader.complete_upload()

if __name__ == '__main__':
    unittest.main()
