# -*- coding:utf-8 -*-
"""
    Test For BosThreadPool
"""
import unittest
import mock

import time
import sys
sys.path.append("../bosftp")
from     bosftp_config           import   BosftpCfg
from     baidubce                import   exception
from     pyftpdlib.filesystems   import   FilesystemError
from     client                  import   Client
from     util                    import   *
from     thread_pool             import   BosThreadPool

class ThreadPoolTest(unittest.TestCase):
    """
        Test For BosThreadPool
    """

    def setUp(self):
        pass

    def tearDown(self):
        pass

    def test_all(self):
        pool = BosThreadPool()
        list = []
        def f(i):
            list.append(i)
        for i in range(0, 20):
            pool.apply_async(f, (i, ))
    
        time.sleep(1)
        self.assertEqual(20, len(list))


if __name__ == '__main__':
    unittest.main()
